# WordPress Form Builder Plugin - Gutenberg Forms

[![WordPress plugin](https://img.shields.io/wordpress/plugin/dt/forms-gutenberg.svg?style=flat)](https://wordpress.org/plugins/forms-gutenberg/) [![WordPress plugin](https://img.shields.io/wordpress/plugin/v/forms-gutenberg.svg?style=flat)](https://wordpress.org/plugins/forms-gutenberg/) [![WordPress](https://img.shields.io/wordpress/v/forms-gutenberg.svg?style=flat)]() [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://github.com/nikolaystrikhar/gutenberg-forms/blob/master/LICENSE)

[Gutenberg Forms](https://wordpress.org/plugins/forms-gutenberg/) is the Next Generation WordPress Form Builder. Build forms directly within Gutenberg editor live. Add & arrange form fields like blocks.

[![Gutenberg Forms, is the Next Generation WordPress Form Builder](https://ps.w.org/forms-gutenberg/assets/banner-1544x500.png?rev=2281577)](https://wordpress.org/plugins/forms-gutenberg/)

## Description

**WordPress Form Builder Plugin - Gutenberg Forms**

Existing form plugins do not allow you to build your forms within the Gutenberg Editor. They offer mostly custom made form builders which were a great feature for an earlier era. But with the Gutenberg editor, you should be able to build your forms directly in the Gutenberg editor.

That’s why we built <a href="https://gutenbergforms.com" rel="friend" title="Gutenberg Forms">Gutenberg Forms</a>. This is the next generation **WordPress form builder plugin**. You can easily build your forms by adding form fields as gutenberg blocks within the Gutenberg Editor. You do not need to leave the editor to build your forms using some other drag & drop form builder. Now you can build your form within the Gutenberg editor using Gutenberg Forms.

Gutenberg Forms adds a Form Block in Gutenberg and all the form fields are child blocks which you can add within the Form Block, nice and easy. You can add multiple contact forms, and you can customize the form within the Gutenberg Editor. Google reCAPTCHA and Akismet integrations are available for spam filtering.

## Feature Highlights

The following are some of the main features, but there's more which you need to checkout by installing the plugin.

- No Bulky Form Builder - Build Forms Directly in Gutenberg Editor.
- Layout forms easily using the built-in Form Columns Block.
- Create Multi-Step / Multi-Page Forms Easily.
- Conditional Logic: Show/hide fields conditionally.
- Form Entries - Access Form Entries recorded in the database via WordPress admin.
- Use Forms Anywhere. You can create standalone forms using Gutenberg and use them anywhere with a shortcode. That makes Gutenberg Forms compatible with any WordPress page builder.
- Dynamically populate field values via URL parameters.
- Create fields with a Hidden field type and dynamic value tags.
- Create Calculator Fields that perform basic or complex calculations.
- Turn on Spam Protection with Google reCaptcha integration.
- Email Notification Builder: Create custom content for email notifications.
- Create consistent forms easily with Form & Field block styles or add your own styles as well.
- Enjoy fully Responsive Forms out of the box.
- Import and Export Forms the same way you do with any Gutenberg block.
- Discover more features while using the plugin.

## Connect

- [Download on WordPress.org](https://wordpress.org/plugins/forms-gutenberg/)
- [Follow owner on Twitter](https://twitter.com/nikolaystrikhar)
- [Visit Website](https://gutenbergforms.com)

## Support

Need help? See the developers' portal for Gutenberg Forms in the Ways to Contribute section below, or visit the [Gutenberg Forms support forum on WordPress.org](https://wordpress.org/support/plugin/forms-gutenberg) for assistance.
